function doSubmit() {
	var url = getRootPath() + "/bpomanage/problem/wtjProportionCountQuety.do" ;
	document.forms["form"].action = url;
	var flag = true;
	if (flag) {
		document.forms["form"].submit();
	} 
}

function go(){
	var url = getRootPath() + "/bpomanage/problem/feedbackCaseExport.do" ;
	document.forms["excelform"].action = url;
	document.forms["excelform"].submit();
	closeDiv('openCaseInfoDel');
}

//获取具体详细信息
function getDetailInfo(compFlag, bussinessFlag, claim_sys, amountTime, caseType,startregdate,endregdate){
	$.ajax({
        cache: true,
        type: "POST",
        url:"queryFeedbackDetl.do",
        data:{"compFlag":compFlag,"bussinessFlag":bussinessFlag,"claim_sys":claim_sys,"amountTime":amountTime,"caseType":caseType,"startregdate":startregdate,"endregdate":endregdate},
        async: false,
        error: function(request) {
            alert("获取信息失败！");
        },
        success: function(map) {
        	var list=map.list;
        	var html='';
        	html+="<tr>"+
	        	"<th>序号</th>"+
	        	"<th>赔案号</th>"+
	        	"<th>赔案来源</th>"+
	        	"<th>外包机构</th>"+
	        	"<th>外包模式</th>"+
	        	"<th>外包接收日期</th>"+
	        	"<th>外包反馈日期</th>"+
	        	"<th>发票张数</th>"+
	        	"<th>账单总金额</th>"+
	        	"<th>是否为住院件</th>"+
	        	"<th>是否问题件</th>"+
	        	"<th>问题件分类</th>"+
	        	"<th>时效</th>"+
				"</tr>";
			for(var i=0;i<list.length;i++){
				
				var caseSource=list[i].caseSource;
				if (caseSource != null ){				 
					if(caseSource == "1") {
						caseSource = "产险";
							}else	if(caseSource == "2"){
					 caseSource = "寿险";
					 }
					else	if(caseSource == "3") {
						caseSource = "健康险";	
						
					}
				}else{
					caseSource = "";	
				}
				var bussinessFlag=list[i].bussinessFlag;
				if (bussinessFlag != null ){
					bussinessFlag = bussinessFlag == 1 ? "半外包" : "全外包";
				}
				var caseType=list[i].caseType;
				if (caseType != null ){
					//isError = isError == 'Y' ? "是" : "否";
					if(caseType=="2"){
						caseType="是";
					}else{
						caseType="否";
					}						
				}else{
					caseType="";
				}
				html+="<tr>"+
						"<td>"+(i+1)+"</td>"+
						"<td>"+(list[i].claimNo!=null?list[i].claimNo:'')+"</td>"+
						"<td>"+(caseSource!=null?caseSource:'')+"</td>"+
						"<td>"+(list[i].compFlag!=null?list[i].compFlag:'')+"</td>"+
						"<td>"+(bussinessFlag!=null?bussinessFlag:'')+"</td>"+
						"<td>"+(list[i].sendRequestToImg!=null?list[i].sendRequestToImg:'')+"</td>"+
						"<td>"+(list[i].createDate!=null?list[i].createDate:'')+"</td>"+
						"<td>"+(list[i].invoiceCount!=null?list[i].invoiceCount:'')+"</td>"+
						"<td>"+(list[i].totalAmts!=null?list[i].totalAmts:'')+"</td>"+
						"<td>"+(list[i].isHospital!=null?list[i].isHospital:'')+"</td>"+
						"<td>"+(caseType!=null?caseType:'')+"</td>"+
						"<td>"+(list[i].caseReason!=null?list[i].caseReason:'')+"</td>"+
						"<td>"+(list[i].timeliness!=null?list[i].timeliness:'')+"</td>"+
					  "</tr>";
			}
			$("#caseInfoDetl").html(html);
			$('#export').removeAttr('disabled');
			$("#compFlagExcel").val(map.compFlag);
			$("#compFlagcompFlagExcel").val(map.bussinessFlag);
			$("#claimSourceExcel").val(map.claim_sys);
			$("#amountTimeExcel").val(map.amountTime);
			$("#caseTypeExcel").val(map.caseType);
			if(list.length==0){
				$('#excelExport button[name=export]').attr('disabled','disabled');
				$('#export').attr('disabled','disabled');
			}
			showDiv('openCaseInfoDel');
        }
    });
}